Subject: Re: How do you resolve this?
From: Jason Tishler <[email-masked]>
To: Yuri Tijerino <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 18 Nov 2004 07:23:25 -0500

Yuri,

Please post instead of sending private email.

On Thu, Nov 18, 2004 at 12:00:41AM -0700, Yuri Tijerino wrote:
> I am having exactly the same problem described in this post.  I see
> that you diagnosed the problem as something to do with a symlink.  But
> how do you resolve the problem?

There are two (main) approaches:

1. Run python from bash (or another Cygwin process):

    $ python -V
    Python 2.3.4

Note nothing special needs to be done to resolve the symlink.

2. Run python from the Win32 process (e.g., cmd) via sh:

    C:\>sh -c "python -V"
    Python 2.3.4

> Thanks for your help,

You are welcome.

>   * From: Jason Tishler
>   * To: cygwin at cygwin dot com
>   * Date: Thu, 01 May 2003 08:49:26 -0400
>   * Subject: Re: 1.3.22+, Python, NTVDM illegal instruction
>   * References: <[email-masked]>
> 
> ----------------------------------------------------------------------
> 
> On Wed, Apr 30, 2003 at 05:19:24PM -0400, Rolf Campbell wrote:
> > When I run python directly from a non-cygwin program (I think any
> > non-cygwin app.  I've tried cmd.exe & explorer.exe & NTemacs), I get
> > this:
> > 
> > Title: 16 bit MS-DOS Subsystem
> > C:\CYGWIN\BIN\python.exe
> > The NTVDM CPU has encountered an illegal instruction.
> > CS:06cd IP:210f OP:63 69 66 69 65  Choose 'Close' to terminate the 
> > application.
> 
> The above is due to python being a symlink:
> 
>     $ ls -l /usr/bin/python
>     lrwxrwxrwx    1 Administ Domain U       24 Mar 18 15:47 /usr/bin/python -> python2.2.exe

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/